Subject: Re: undefined reference to `errno'
From: [email-masked] (Fergus Henderson)

24 Jan 1998 13:05:50 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Dr. Volker Zell" <[email-masked]>
Cc: [email-masked]

On 20-Jan-1998, Dr. Volker Zell <[email-masked]> wrote:
> Hi all
> 
> When trying to compile netpbm-1mar94.p1 I get a bunch of messages like
>  
> ../pbm/libpbm.a(libpbm1.o)(.text+0x4e1):libpbm1.c: undefined reference
> to `errno'
> 
> Does anybody know how to deal with this kind of error.

I think adding `#include <errno.h>' at the start of libpbm1.c
should solve the problem.  You might need to also comment out
any explicit declarations of `errno'.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".